Region (KML Framework API)
Keywords: org.boehn.kmlframework.kml.Region class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class Region

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Region

    public class Region

extends KmlObject

Constructor Summary
`Region()`
`Region(java.lang.Double north, java.lang.Double south, java.lang.Double east, java.lang.Double west, java.lang.Double minAltitude, java.lang.Double maxAltitude, AltitudeModeEnum altitudeMode, java.lang.Double minLodPixels, java.lang.Double maxLodPixels, java.lang.Double minFadeExtent, java.lang.Double maxFadeExtent)`

Method Summary
`AltitudeModeEnum` | `getAltitudeMode()`
`java.lang.Double` | `getEast()`
`java.lang.Double` | `getMaxAltitude()`
`java.lang.Double` | `getMaxFadeExtent()`
`java.lang.Double` | `getMaxLodPixels()`
`java.lang.Double` | `getMinAltitude()`
`java.lang.Double` | `getMinFadeExtent()`
`java.lang.Double` | `getMinLodPixels()`
`java.lang.Double` | `getNorth()`
`java.lang.Double` | `getSouth()`
`java.lang.Double` | `getWest()`
`void` | `setAltitudeMode(AltitudeModeEnum altitudeMode)`
`void` | `setEast(java.lang.Double east)`
`void` | `setMaxAltitude(java.lang.Double maxAltitude)`
`void` | `setMaxFadeExtent(java.lang.Double maxFadeExtent)`
`void` | `setMaxLodPixels(java.lang.Double maxLodPixels)`
`void` | `setMinAltitude(java.lang.Double minAltitude)`
`void` | `setMinFadeExtent(java.lang.Double minFadeExtent)`
`void` | `setMinLodPixels(java.lang.Double minLodPixels)`
`void` | `setNorth(java.lang.Double north)`
`void` | `setSouth(java.lang.Double south)`
`void` | `setWest(java.lang.Double west)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Region

    public Region()

### Region

    public Region(java.lang.Double north,
                  java.lang.Double south,
                  java.lang.Double east,
                  java.lang.Double west,
                  java.lang.Double minAltitude,
                  java.lang.Double maxAltitude,
                  AltitudeModeEnum altitudeMode,
                  java.lang.Double minLodPixels,
                  java.lang.Double maxLodPixels,
                  java.lang.Double minFadeExtent,
                  java.lang.Double maxFadeExtent)

Method Detail

### getNorth

    public java.lang.Double getNorth()

### setNorth

    public void setNorth(java.lang.Double north)

### getSouth

    public java.lang.Double getSouth()

### setSouth

    public void setSouth(java.lang.Double south)

### getEast

    public java.lang.Double getEast()

### setEast

    public void setEast(java.lang.Double east)

### getWest

    public java.lang.Double getWest()

### setWest

    public void setWest(java.lang.Double west)

### getMinAltitude

    public java.lang.Double getMinAltitude()

### setMinAltitude

    public void setMinAltitude(java.lang.Double minAltitude)

### getMaxAltitude

    public java.lang.Double getMaxAltitude()

### setMaxAltitude

    public void setMaxAltitude(java.lang.Double maxAltitude)

### getAltitudeMode

    public AltitudeModeEnum getAltitudeMode()

### setAltitudeMode

    public void setAltitudeMode(AltitudeModeEnum altitudeMode)

### getMinLodPixels

    public java.lang.Double getMinLodPixels()

### setMinLodPixels

    public void setMinLodPixels(java.lang.Double minLodPixels)

### getMaxLodPixels

    public java.lang.Double getMaxLodPixels()

### setMaxLodPixels

    public void setMaxLodPixels(java.lang.Double maxLodPixels)

### getMinFadeExtent

    public java.lang.Double getMinFadeExtent()

### setMinFadeExtent

    public void setMinFadeExtent(java.lang.Double minFadeExtent)

### getMaxFadeExtent

    public java.lang.Double getMaxFadeExtent()

### setMaxFadeExtent

    public void setMaxFadeExtent(java.lang.Double maxFadeExtent)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD